package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 负责人积分排名对象 pdm_score_rank_manager
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public class PdmScoreRankManager extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 统计年 */
    @Excel(name = "统计年")
    private String reportYear;

    /** 统计年月 */
    @Excel(name = "统计年月")
    private String reportDate;

    /** 作业单位编码 */
    @Excel(name = "作业单位编码")
    private String companyNo;

    /** 作业单位名称 */
    @Excel(name = "作业单位名称")
    private String companyName;

    /** 负责人ID */
    @Excel(name = "负责人ID")
    private String managerId;

    /** 负责人名称 */
    @Excel(name = "负责人名称")
    private String managerName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

    /** 排序 */
    @Excel(name = "排序")
    private int rankNum;

        /** 是否黑榜 1是0否 */
    @Excel(name = "是否黑榜")
    private String isBlack;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setReportYear(String reportYear)
    {
        this.reportYear = reportYear;
    }

    public String getReportYear()
    {
        return reportYear;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setCompanyNo(String companyNo)
    {
        this.companyNo = companyNo;
    }

    public String getCompanyNo()
    {
        return companyNo;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setManagerId(String managerId)
    {
        this.managerId = managerId;
    }

    public String getManagerId()
    {
        return managerId;
    }
    public void setManagerName(String managerName)
    {
        this.managerName = managerName;
    }

    public String getManagerName()
    {
        return managerName;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }

    public int getRankNum() {
        return rankNum;
    }

    public void setRankNum(int rankNum) {
        this.rankNum = rankNum;
    }

    public String getIsBlack() {
        return isBlack;
    }

    public void setIsBlack(String isBlack) {
        this.isBlack = isBlack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportYear", getReportYear())
            .append("reportDate", getReportDate())
            .append("companyNo", getCompanyNo())
            .append("companyName", getCompanyName())
            .append("managerId", getManagerId())
            .append("managerName", getManagerName())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
